com.ibm.openpages.api.search

## Interface ISearchResource

-     public interface ISearchResource

  This interface represents the data returned from a Search for each search result instance. The search resource will be a GRC Object with System Field information available to be read.
  Since:
    7.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getCreationDate()` Returns the creation date of this resource.
    `java.lang.String` | `getDescription()` Returns the description of this resource.
    `Id` | `getId()` Returns the Resource Id of this resource.
    `java.util.Date` | `getModifiedDate()` Returns the last modified date of this resource.
    `java.lang.String` | `getName()` Returns the name of this resource.
    `Id` | `getParentFolderId()` Returns the parent folder for this resource, if it exists; otherwise null.
    `java.lang.String` | `getPath()` Returns the full path of this resource.
    `Property` | `getProperty()` The property of this resource item used to hold the information about the additional fields values the UI will display which are: field-label, display-type and the value of the field.
    `int` | `getRank()` The order in the original search results as returned from the search server.
    `double` | `getScore()` The score is a decimal value that is an indicator of how relevant the result is to the search terms.
    `ITypeDefinition` | `getTypeDefinition()` Returns the Object Type definition for this GRC Object.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of this resource.
      Returns:
        the name of this resource

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of this resource.
      Returns:
        the description of this resource

    - #### getPath

          java.lang.String getPath()

      Returns the full path of this resource.
      Returns:
        the full path of this resource

    - #### getId

          Id getId()

      Returns the Resource Id of this resource.
      Returns:
        the Id of this resource

    - #### getParentFolderId

          Id getParentFolderId()

      Returns the parent folder for this resource, if it exists; otherwise null.
      Returns:
        the parent folder for this resource, if it exists; otherwise null

    - #### getCreationDate

          java.util.Date getCreationDate()

      Returns the creation date of this resource.
      Returns:
        the creation date of this resource

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last modified date of this resource.
      Returns:
        the last modified date of this resource

    - #### getTypeDefinition

          ITypeDefinition getTypeDefinition()

      Returns the Object Type definition for this GRC Object. All Search result resources are expected to have an Object Type.
      Returns:
        the Object Type definition for this Resource if available

    - #### getScore

          double getScore()

      The score is a decimal value that is an indicator of how relevant the result is to the search terms. The larger the value, the more relevant.
      Returns:
        the relevance score

    - #### getRank

          int getRank()

      The order in the original search results as returned from the search server. The search results are ordered by the score.
      Returns:
        the rank order in the original search results

    - #### getProperty

          Property getProperty()

      The property of this resource item used to hold the information about the additional fields values the UI will display which are: field-label, display-type and the value of the field. Maybe null if this resource is not configured to have additional fields to show.
      Returns:
        A Property object used to extract the required data for additinal fields display.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.